## NAME

curl_easy_init - Start a libcurl easy session

## SYNOPSIS

#include <curl/curl.h>

CURL *curl_easy_init( );

## DESCRIPTION

This function must be the first function to call, and it returns a CURL easy handle that you must use as input to other easy-functions. curl_easy_init initializes curl and this call MUST have a corresponding call to curl_easy_cleanup(3) when the operation is complete.

If you did not already call curl_global_init(3), curl_easy_init(3) does it automatically. This may be lethal in multi-threaded cases, since curl_global_init(3) is not thread-safe, and it may result in resource problems because there is no corresponding cleanup.

You are strongly advised to not allow this automatic behaviour, by calling curl_global_init(3) yourself properly. See the description in libcurl(3) of global environment requirements for details of how to use this function.

## RETURN VALUE

If this function returns NULL, something went wrong and you cannot use the other curl functions.

## SEE ALSO

curl_easy_cleanup (3) curl_global_init (3) curl_easy_reset (3)

This HTML page was made with roffit.